Kerbal Space Program - Bug #8914

Highlighted parts that had action groups removed still are highlighted
04/12/2016 11:52 PM - chrislo27

Status: Updated Start date: 04/12/2016
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: Not Applicable Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When deleting action commands from an action group, the parts that highlight when you mouse-over the label remain highlighted,
even after the action was deleted. The highlight goes away after highlighting the part.

To reproduce:
1. Add a bunch of parts' actions to an action group.

2. Delete all the actions.
3. The parts in the editor are still highlighted until you mouse-over them.

History

#1 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/17/2016 08:51 PM - chrislo27

Some clarification on "deleting all the actions":

If you go to the top-most part in the menu, and click the button to clear the action without moving the mouse, the illuminated parts do not get updated
(they get stuck having the cyan glow). This resets after you move the mouse and actually highlight them in the editor.

#3 - 07/18/2016 03:52 AM - TriggerAu
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

thanks for the update chrislo27, for info the status changed as part of a mass cleanup on reported bugs, you can read more about it here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/

Ive changed the status so somoene can confirm it for us
